// Porte qui envoie une impulsion a chaque changement d'etat d'un pin d'entree, herite de Composant
public class Impulse extends Composant {

	static int n = 1;
	
	public Impulse(int n_in, int n_out){
		super(n_in, n_out);
		charName 	  = "C3";
		composantName = "Impsulsion";
		Name		  = "Impuls_"+(n++);
	}

	protected void doWork() {
		for(Pin pin : pin_out)
			pin.setState(true);
		for(Pin pin : pin_out)
			pin.setState(false);
	}

}
